include stdio

#configuration:
logfile="example7.log"

# We have a hardware simulator process and a controller:
sim_in=[hub] | {"./fan"} | sim_out=[hub] | $LSP | [affix prefix="sim "] \
  | control_in=[hub] | {gawk -v "target=60"  -f example6.awk } \
  | $LSP | control_out=[hub]

# timer ticks for running the sim
time_base=[timer period=0.5 repeat=0] | sim_in:*

# loopback pipe
control_out:* | cm=[regex pattern="^ctrl " subst="" pass=all] | sim_in:*

# to see that it's working, redirect control's "log" to plumb's output and to 
# a log file:
control_out:* | lm=[regex pattern="^log "] | loglines=[hub] | stdout:*
loglines:* | [open ${logfile}]


# minimalistic cli: prefix and redirect plumb's stdin to the controller
stdin:* | $LSP | Cm=[affix prefix="CLI "] | control_in:*
