#include <stdio.h>

void print_internals(FILE *f, const char *label);

/* print error to plumb's stderr and abort() */
void plumb_error_(char *fmt, ...);

/* generate an event from plumb core */
void plumb_event(int maxlen, char *fmt, ...);

/* generate a trace line (automatically prefixed with a trace ID and the time;
   doesn't do anything if trace is not enabled) */
void plumb_trace(char *fmt, ...);
FILE *plumb_tracef;

/* uninit plumb_event() buffers */
void plumb_event_uninit(void);


/* === queries === */
void run_query(fd_t *out, char *q, char *object, char *cookie);
const char *query_proc_state(proc_virt_t *pv);


#ifdef RW_DEBUG
void fprintchr(FILE *f, char c);
void fprintstr(FILE *f, char *str);
#endif
