# test 2: check whether tank delivers when a blocking outout is released
# output; release should happen while the source timer is still running, to
# test mixing output from buffer and input

# stdout ignores eof, stdo makes sure we quit on eof; the output of the tank
# will end up in stdo to terminate the test, events and debug messages are
# written to stdout.
stdout=[hub eof=ignore] | stdo=[hub],sticky=1 | env:1

# t1 hits number-of-datagrams limit
[timer period=0.04 repeat=10],sticky=1 | t1=[tank event=1],sticky=1 | h=[hub]

[timer repeat=1 period=0.02 msg="pause h; flush;"] | [cmd]
[timer repeat=1 period=0.2 msg="resume h; flush; [echo \"release\n\"] | stdout:*; flush;"] | [cmd]

# print relevant events
event:* | [regex pattern="^plumb_tank"] | stdout:*
h:* | stdo:*

